brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From richardcloudsoft <...@git.apache.org>
Subject [GitHub] incubator-brooklyn pull request: BROOKLYN-32: remove LGPLed MaxMin...
Date Tue, 02 Sep 2014 16:46:15 GMT
GitHub user richardcloudsoft opened a pull request:

    https://github.com/apache/incubator-brooklyn/pull/140

    BROOKLYN-32: remove LGPLed MaxMind GeoIP

    Brooklyn `core` embeds a copy of MaxMind GeoIP Java library. This is licensed under LGPL2.1,
which is incompatible with the Apache license - therefore it is not suitable to be part of
Brooklyn core. This PR makes the removal, and changes the default GeoIP lookup to use the
"utrace" service instead.
    
    Note that it is possible to create a new project that includes just the MaxMind GeoIP
dependency and the Brooklyn HostGeoLookup class, and users could install that module themselves,
if they want to use MaxMind GeoIP. That is outside the scope of this PR.

You can merge this pull request into a Git repository by running:

    $ git pull https://github.com/richardcloudsoft/incubator-brooklyn BROOKLYN-32-remove-MaxMind

Alternatively you can review and apply these changes as the patch at:

    https://github.com/apache/incubator-brooklyn/pull/140.patch

To close this pull request, make a commit to your master/trunk branch
with (at least) the following in the commit message:

    This closes #140
    
----
commit a0f4a8944c1153483bd51e9f85d38df76b2aebe1
Author: Richard Downer <richard@apache.org>
Date:   2014-09-02T16:16:23Z

    BROOKLYN-32: change geo lookup to utrace
    
    MaxMind GeoIP package license is LGPL2.1, which is incompatible with the
    Apache license, therefore we need to remove it.

commit a775711e55f36fc17efdf4ccce6ce778ba38c2c7
Author: Richard Downer <richard@apache.org>
Date:   2014-09-02T16:20:56Z

    BROOKLYN-32: Remove MaxMindHostGeoLookup class
    
    MaxMind GeoIP package license is LGPL2.1, which is incompatible with the
    Apache license, therefore we need to remove it.

commit c1b3e88046b88d39b0f717d9faf6e6faab30ba5f
Author: Richard Downer <richard@apache.org>
Date:   2014-09-02T16:23:52Z

    BROOKLYN-32: Remove MaxMind GeoIP source code
    
    MaxMind GeoIP package license is LGPL2.1, which is incompatible with the
    Apache license, therefore we need to remove it.

----


---
If your project is set up for it, you can reply to this email and have your
reply appear on GitHub as well. If your project does not have this feature
enabled and wishes so, or if the feature is enabled but not working, please
contact infrastructure at infrastructure@apache.org or file a JIRA ticket
with INFRA.
---

Mime
View raw message